%define name    php5-id3
%define version 5.0.2
%define rversion 0.1
%define release 1mdk

%define modname id3
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A14_%{modname}.ini

Summary:	Functions to read and write ID3 tags in MP3 files
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/id3
License:	PHP License
Source0:	id3-%{rversion}.tar.bz2
BuildRequires:  php5-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
id3 enables to to retrieve and update information from ID3 tags in
MP3 files. It supports version 1.0 and version 1.1.

%prep

%setup -q -n id3-%{rversion}
[ "../package.xml" != "/" ] && mv ../package.xml .

%build

php5ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

cat > %{buildroot}%{_sysconfdir}/php5.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc examples CREDITS EXPERIMENTAL TODO package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.1-1mdk
- rebuilt for php-5.0.2

* Mon Aug 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_0.1-1mdk
- initial mandrake package
